%define pname     yacoto
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.2.1
Release:        3
Summary:        Yet another convert tool (for VDR)

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.htpc-forum.de/index.php?url=downloads.php
Source0:        vdr-yacoto-%{version}.tgz
Source200:      vdr-yacoto.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}
Requires:	replex vdrsync MPlayer lame vorbis-tools ffmpeg screen dvdauthor genisoimage dvd+rw-tools vamps mjpegtools vdr-bgprocess hlcut

%description
Yet another convert tool (for VDR)

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
#sed -i -e s/#HAVE_MAGICK=1/HAVE_MAGICK=1/g Makefile
#sed -i -e s/#HAVE_FREETYPE\ =\ 1/HAVE_FREETYPE\ =\ 1/g Makefile

%build
#make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/yacoto
install -m 755 -dp $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/yacoto
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable yacoto >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable yacoto >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/yacoto
%_libdir/vdr/locale
%dir %{_sysconfdir}/vdr/plugins/yacoto

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.1-3
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.1-2
- rebuild against vdr-1.6.0-10
* Fri Dec 19 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.1-1
- Version update
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-3
- rebuild against vdr-1.6.0-9
* Sat Nov 15 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-2
- add hlcut dep
* Sat Nov 15 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0-1
- Initial release